> ## Documentation Index
> Fetch the complete documentation index at: https://docs.musicgpt.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Cover

> Convert an audio file or URL into a cover song using a different voice.



## OpenAPI

````yaml POST /v1/Cover
openapi: 3.1.0
info:
  title: Musicgpt API
  version: 1.0.0
  description: API for retrieving conversion details by ID.
servers:
  - url: https://api.musicgpt.com/api/public
    description: Production server
security: []
paths:
  /v1/Cover:
    post:
      summary: Convert audio to cover song
      description: Convert an audio file or URL into a cover song using a different voice.
      requestBody:
        required: true
        content:
          multipart/form-data:
            schema:
              type: object
              properties:
                audio_url:
                  type: string
                  description: >-
                    URL of an audio file to process. Either audio_url or
                    audio_file must be provided.
                  example: https://example.com/audio.wav
                audio_file:
                  type: string
                  format: binary
                  description: >-
                    Audio file to upload and process. Either audio_file or
                    audio_url must be provided.
                voice_id:
                  type: string
                  description: The ID of the voice model to use for voice transformation.
                  example: demo-voice-id
                pitch:
                  type: integer
                  description: >-
                    Pitch adjustment for the voice. Range from -12 to 12.
                    Default: 0
                  default: 0
                  minimum: -12
                  maximum: 12
                webhook_url:
                  type: string
                  description: >-
                    A URL where the result will be sent once processing is
                    completed.
                  example: https://example.com/callback
              required:
                - voice_id
              anyOf:
                - required:
                    - audio_url
                - required:
                    - audio_file
      responses:
        '200':
          description: Successful response
          content:
            application/json:
              schema:
                type: object
                properties:
                  success:
                    type: boolean
                  task_id:
                    type: string
                  conversion_id:
                    type: string
                  eta:
                    type: integer
              example:
                success: true
                task_id: b329c0df-b2eb-4914-b707-4d7dce53577e
                conversion_id: 16708396-da86-4a9e-9b90-66f774cc2382
                eta: 33
        '400':
          description: Bad Request
          content:
            application/json:
              schema:
                type: object
                properties:
                  success:
                    type: boolean
                  error:
                    type: string
              example:
                success: false
                error: The file could not be downloaded from the provided URL
        '402':
          description: Payment Required
          content:
            application/json:
              schema:
                type: object
                properties:
                  success:
                    type: boolean
                  error:
                    type: string
              example:
                success: false
                error: Insufficient credit balance
        '422':
          description: Unprocessable Entity
          content:
            application/json:
              schema:
                type: object
                properties:
                  success:
                    type: boolean
                  error:
                    type: string
              example:
                success: false
                error: Both audio_url and audio_file cannot be None
        '500':
          description: Internal Server Error
          content:
            application/json:
              schema:
                type: object
                properties:
                  success:
                    type: boolean
                  error:
                    type: string
              example:
                success: false
                error: Internal Server Error
      security:
        - ApiKeyAuth: []
components:
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: header
      name: Authorization

````